﻿# Anbennar: commented vanilla stuff

arabic_book_template = {
	#can_equip = {
	#}

	# can this character benefit from the full modifiers of the artifact?
	#can_benefit = {
	#	knows_language = language_arabic
	#}

	# if a given character does not pass the "can_benefit" trigger then this modifier will be applied instead.
	#fallback = {
	#	monthly_prestige = 0.05
	#}
}

small_religious_carving_template = {
	can_benefit = {
		scope:artifact = { exists = var:relic_religion }
		faith.religion = scope:artifact.var:relic_religion
	}
	fallback = {
		monthly_prestige = 0.05
	}
}

holy_book_template = {
	can_equip = {
		always = yes
	}

	# can this character benefit from the full modifiers of the artifact?
	can_benefit = {
		scope:artifact = { exists = var:relic_religion }
		has_religion = scope:artifact.var:relic_religion
	}

	# if a given character does not pass the "can_benefit" trigger then this modifier will be applied instead.
	fallback = {
		monthly_learning_lifestyle_xp_gain_mult = 0.10
	}
}

witchy_shoes_template = {
	can_equip = {
		always = yes
	}

	# can this character benefit from the full modifiers of the artifact?
	can_benefit = {
		is_witch_trigger = yes
	}

	# if a given character does not pass the "can_benefit" trigger then this modifier will be applied instead.
	fallback = {
		monthly_prestige = 0.05
		stress_gain_mult = -0.10
		monthly_piety_gain_mult = -0.05
	}
}

witchy_book_template = {
	can_equip = {
		always = yes
	}

	# can this character benefit from the full modifiers of the artifact?
	can_benefit = {
		OR = {
			is_witch_trigger = yes
			has_trait = lifestyle_herbalist
			has_trait = lifestyle_physician
		}
	}

	# if a given character does not pass the "can_benefit" trigger then this modifier will be applied instead.
	fallback = {
		monthly_learning_lifestyle_xp_gain_mult = 0.05
		monthly_piety_gain_mult = -0.05
	}
}

witchy_artifact_template = {
	can_equip = {
		is_witch_trigger = yes
	}

	# can this character benefit from the full modifiers of the artifact?
	can_benefit = {
		is_witch_trigger = yes
	}

	# if a given character does not pass the "can_benefit" trigger then this modifier will be applied instead.
	fallback = {
		monthly_piety_gain_mult = -0.05
	}
}

mysterious_puzzle_template = {
	can_equip = {
		always = yes
	}

	# can this character benefit from the full modifiers of the artifact?
	can_benefit = {
		learning >= medium_skill_rating
	}

	# if a given character does not pass the "can_benefit" trigger then this modifier will be applied instead.
	fallback = {
		monthly_prestige = 0.05
	}
}

fp3_zoroastrian_brazier_template = {
	#can_equip = {
#		always = yes
#	}

	# Can this character benefit from the full modifiers of the artifact?
#	can_benefit = {
#		zoroastrian_or_syncretic_with_eastern_trigger = { CHARACTER = root }
#	}

	# If a given character does not pass the "can_benefit" trigger then this modifier will be applied instead.
	#fallback = {
	#	monthly_prestige = 0.2
	#}
}

ce1_mummy_template = {
	can_equip = {
		always = yes
	}

	can_benefit = {
		faith = { has_doctrine_parameter = mummification_funeral }
	}

	fallback = {
		monthly_prestige = 0.2
	}
}
